/**
 * check if user use FireFox browser
 * @returns {boolean}
 */
export function isFireFox() {
  var _navigator = navigator,
    userAgent = _navigator.userAgent;
  if (userAgent.includes('Firefox')) {
    return true;
  }
  return false;
}

/**
 * check if user use Safari browser
 * @returns {boolean}
 */
export function isSafari() {
  var _navigator2 = navigator,
    userAgent = _navigator2.userAgent;
  if (userAgent.includes('Safari') && !userAgent.includes('Chrome')) {
    return true;
  }
  return false;
}

/**
 * check if user use IE browser
 * @returns {boolean}
 */
export function isIE() {
  if ('ActiveXObject' in window) {
    return true;
  }
  return false;
}

/**
 * check if user use Chrome browser
 * @returns {boolean}
 */
export function isChrome() {
  var _navigator3 = navigator,
    userAgent = _navigator3.userAgent;
  if (userAgent.includes('Chrome') && userAgent.includes('Safari') && !userAgent.includes('Edge') && !userAgent.includes('Edg') && !userAgent.includes('QQBrowser')) {
    return true;
  }
  return false;
}